<?php

namespace ACL\Services;

use ACL\Helpers\Instances\InstanceProvider;
use ACL\Repositories\Tabela as TabelaRepository;
use ACL\Traits\TCrud;

class Tabela
{

    use TCrud;

    /**
     * @var \Teknisa\Libs\Util\Environment
     */
    private $libEnvironment;

    /**
     * @var TabelaRepository
     */
    private $tabelaRepository;

    public function __construct(TabelaRepository $tabelaRepository)
    {
        $this->tabelaRepository = $tabelaRepository;
        $this->libEnvironment = InstanceProvider::getLibEnvironment();
    }

    /**
     * @return array
     */
   public function findAllTabela(): array
   {
       return $this->tabelaRepository->findAllTabela(getNrorg());
   }
}