import { Component, Prop } from 'vue-property-decorator';
import { ZdForm } from '@zeedhi/vuetify';
import { FormEdit as FormEditClass } from '../../common/index';

/**
 * FormEdit component
 */
@Component
export default class FormEdit extends ZdForm {
	@Prop({ type: String, default: '' }) public title!: string;

	public instance!: FormEditClass;

	public instanceType: typeof FormEditClass = FormEditClass;
}
